Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 01/12/2012, à 14:01

Shigu

Erreur récurrente lors de l'installation d'un logiciel (logithèque)

Bonjour à tous,

Je rencontre un problème que de nombreuses mises à jour de l'ordinateur n'ont sues régler.

Comme le titre ce message l'indique, j'ai essayé, en vain, d'installer, entre autre, Skype.

Rien à faire, j'obtiens le message d'erreur suivant :

Impossible de résoudre les dépendances du paquet
Cette erreur peut être provoquée par des paquets supplémentaires requis, mais absents ou non installables. En outre, il pourrait y avoir un conflit entre certains paquets qui ne peuvent pas être installés en même temps.

Détails:
Les paquets suivants ont des dépendances non satisfaites :
skype: Depends: skype-bin mais il ne va pas être installé


Apparaît ensuite une fenêtre m'annonçant un arrêt inattendu de l'application Ubuntu Software Center.

Je précise que si je clique, dans un article de la documentation, sur un lien APT, j'arrive, semble-t-il sur deux essais, à télécharger et à installer.

Auriez-vous quelques conseils pour résoudre ce problème ?

Shigu

Hors ligne

#2 Le 01/12/2012, à 21:16

f.x0

Re : Erreur récurrente lors de l'installation d'un logiciel (logithèque)

Bonjour Shigu,

ouvres un terminal
tapes

sudo apt-get update

et postes le résultat de cette commande


SOPI

En ligne

#3 Le 02/12/2012, à 04:11

Shigu

Re : Erreur récurrente lors de l'installation d'un logiciel (logithèque)

Bonjour f.x0,

Voici ci-dessous le résultat (assez long...).

J'ai oublié de préciser que je suis sous Ubuntu 12.10 64bits et que l'outil Sauvegarde ne fonctionne pas non plus (erreur), peut-être est-ce le même problème à l'initial.

Ign http://ppa.launchpad.net quantal InRelease                                 
Ign http://archive.canonical.com oneiric InRelease                             
Ign http://security.ubuntu.com quantal-security InRelease                     
Ign http://archive.ubuntu.com quantal InRelease                               
Atteint http://ppa.launchpad.net quantal Release.gpg                           
Atteint http://archive.canonical.com oneiric Release.gpg                       
Réception de :1 http://security.ubuntu.com quantal-security Release.gpg [933 B]
Ign http://archive.ubuntu.com quantal-updates InRelease                       
Atteint http://ppa.launchpad.net quantal Release                               
Atteint http://archive.canonical.com oneiric Release                           
Réception de :2 http://security.ubuntu.com quantal-security Release [49.6 kB] 
Atteint http://archive.ubuntu.com quantal Release.gpg                         
Atteint http://ppa.launchpad.net quantal/main Sources                         
Atteint http://archive.canonical.com oneiric/partner Sources                   
Réception de :3 http://archive.ubuntu.com quantal-updates Release.gpg [933 B] 
Atteint http://ppa.launchpad.net quantal/main amd64 Packages                   
Atteint http://archive.canonical.com oneiric/partner amd64 Packages           
Atteint http://archive.ubuntu.com quantal Release                             
Réception de :4 http://security.ubuntu.com quantal-security/main amd64 Packages [49.3 kB]
Réception de :5 http://archive.ubuntu.com quantal-updates Release [49.6 kB]   
Réception de :6 http://security.ubuntu.com quantal-security/restricted amd64 Packages [14 B]
Réception de :7 http://security.ubuntu.com quantal-security/universe amd64 Packages [15.5 kB]
Atteint http://archive.ubuntu.com quantal/main amd64 Packages                 
Réception de :8 http://security.ubuntu.com quantal-security/multiverse amd64 Packages [1,151 B]
Atteint http://archive.ubuntu.com quantal/restricted amd64 Packages           
Atteint http://archive.ubuntu.com quantal/universe amd64 Packages             
Atteint http://archive.ubuntu.com quantal/multiverse amd64 Packages           
Atteint http://security.ubuntu.com quantal-security/main Translation-en       
Atteint http://archive.ubuntu.com quantal/main Translation-fr                 
Atteint http://archive.ubuntu.com quantal/main Translation-en                 
Atteint http://security.ubuntu.com quantal-security/multiverse Translation-en 
Atteint http://archive.ubuntu.com quantal/multiverse Translation-fr           
Ign http://archive.canonical.com oneiric/partner Translation-fr_FR             
Ign http://ppa.launchpad.net quantal/main Translation-fr_FR                   
Atteint http://archive.ubuntu.com quantal/multiverse Translation-en           
Ign http://archive.canonical.com oneiric/partner Translation-fr               
Atteint http://security.ubuntu.com quantal-security/restricted Translation-en 
Ign http://ppa.launchpad.net quantal/main Translation-fr                       
Ign http://ppa.launchpad.net quantal/main Translation-en                       
Ign http://archive.canonical.com oneiric/partner Translation-en               
Atteint http://archive.ubuntu.com quantal/restricted Translation-fr           
Atteint http://archive.ubuntu.com quantal/restricted Translation-en           
Atteint http://security.ubuntu.com quantal-security/universe Translation-en   
Atteint http://archive.ubuntu.com quantal/universe Translation-fr             
Atteint http://archive.ubuntu.com quantal/universe Translation-en             
Réception de :9 http://archive.ubuntu.com quantal-updates/main amd64 Packages [119 kB]
Réception de :10 http://archive.ubuntu.com quantal-updates/restricted amd64 Packages [1,970 B]
Réception de :11 http://archive.ubuntu.com quantal-updates/universe amd64 Packages [63.6 kB]
Réception de :12 http://archive.ubuntu.com quantal-updates/multiverse amd64 Packages [7,956 B]
Atteint http://archive.ubuntu.com quantal-updates/main Translation-en         
Atteint http://archive.ubuntu.com quantal-updates/multiverse Translation-en   
Atteint http://archive.ubuntu.com quantal-updates/restricted Translation-en   
Atteint http://archive.ubuntu.com quantal-updates/universe Translation-en     
Ign http://security.ubuntu.com quantal-security/main Translation-fr_FR         
Ign http://security.ubuntu.com quantal-security/main Translation-fr           
Ign http://security.ubuntu.com quantal-security/multiverse Translation-fr_FR   
Ign http://security.ubuntu.com quantal-security/multiverse Translation-fr     
Ign http://security.ubuntu.com quantal-security/restricted Translation-fr_FR   
Ign http://security.ubuntu.com quantal-security/restricted Translation-fr     
Ign http://security.ubuntu.com quantal-security/universe Translation-fr_FR     
Ign http://security.ubuntu.com quantal-security/universe Translation-fr       
Ign http://archive.ubuntu.com quantal/main Translation-fr_FR                   
Ign http://archive.ubuntu.com quantal/multiverse Translation-fr_FR
Ign http://archive.ubuntu.com quantal/restricted Translation-fr_FR
Ign http://archive.ubuntu.com quantal/universe Translation-fr_FR
Ign http://archive.ubuntu.com quantal-updates/main Translation-fr_FR
Ign http://archive.ubuntu.com quantal-updates/main Translation-fr
Ign http://archive.ubuntu.com quantal-updates/multiverse Translation-fr_FR
Ign http://archive.ubuntu.com quantal-updates/multiverse Translation-fr
Ign http://archive.ubuntu.com quantal-updates/restricted Translation-fr_FR
Ign http://archive.ubuntu.com quantal-updates/restricted Translation-fr
Ign http://archive.ubuntu.com quantal-updates/universe Translation-fr_FR
Ign http://archive.ubuntu.com quantal-updates/universe Translation-fr
359 ko réceptionnés en 29s (12.2 ko/s)
Lecture des listes de paquets... Fait

Hors ligne

#4 Le 02/12/2012, à 15:17

f.x0

Re : Erreur récurrente lors de l'installation d'un logiciel (logithèque)

Postes le retour de

cat -n /etc/apt/sources.list

puis de

ls /etc/apt/sources.list.d

et de

cat /etc/apt/sources.list.d/*

SOPI

En ligne

#5 Le 03/12/2012, à 04:22

Shigu

Re : Erreur récurrente lors de l'installation d'un logiciel (logithèque)

Bonjour f.x0

Pour les réponses, les voici :

cat -n /etc/apt/sources.list

@ubuntu:~$ cat -n /etc/apt/sources.list
     1    deb http://archive.ubuntu.com/ubuntu/ quantal main restricted universe multiverse
     2    deb http://security.ubuntu.com/ubuntu/ quantal-security main restricted universe multiverse
     3    deb http://archive.canonical.com/ubuntu oneiric partner
     4    deb-src http://archive.canonical.com/ubuntu oneiric partner
     5    deb http://archive.ubuntu.com/ubuntu/ quantal-updates main restricted universe multiverse



ls /etc/apt/sources.list.d

@ubuntu:~$ ls /etc/apt/sources.list.d
gstreamer-developers-ppa-quantal.list



cat /etc/apt/sources.list.d/*

@ubuntu:~$ cat /etc/apt/sources.list.d/*
deb http://ppa.launchpad.net/gstreamer-deve … ppa/ubuntu quantal main
deb-src http://ppa.launchpad.net/gstreamer-deve … ppa/ubuntu quantal main


Encore merci pour le temps accordé.

Amicalement,

Shigu

Hors ligne

#6 Le 03/12/2012, à 12:34

f.x0

Re : Erreur récurrente lors de l'installation d'un logiciel (logithèque)

Il faut modifier l'adresse des dépôts pour Oneiric (Ubuntu 11.10) en Quantal (Ubuntu 12.10)
pour cela ouvres un terminal
tapes

gksudo gedit /etc/apt/sources.list

et modifies les lignes 3 et 4

     3    deb http://archive.canonical.com/ubuntu oneiric partner
     4    deb-src http://archive.canonical.com/ubuntu oneiric partner

pour que ton fichier devienne

     1    deb http://archive.ubuntu.com/ubuntu/ quantal main restricted universe multiverse
     2    deb http://security.ubuntu.com/ubuntu/ quantal-security main restricted universe multiverse
     3    deb http://archive.canonical.com/ubuntu  quantal partner
     4    deb-src http://archive.canonical.com/ubuntu  quantal partner
     5    deb http://archive.ubuntu.com/ubuntu/ quantal-updates main restricted universe multiverse

Enregistres ton fichier
quittes gedit

puis réactualises la liste de tes dépôts

sudo apt-get update

effectues les mises à jour (s'il y en a)

sudo apt-get dist-upgrade

Essaies maintenant d'installer skype

sudo add-apt-repository ppa:upubuntu-com/chat
sudo apt-get update
sudo apt-get install skype

postes le retour des commandes

Dernière modification par f.x0 (Le 03/12/2012, à 12:35)


SOPI

En ligne

#7 Le 04/12/2012, à 04:22

Shigu

Re : Erreur récurrente lors de l'installation d'un logiciel (logithèque)

Bonjour,

Un grand merci pour votre aide.

Tout s'est bien passé sauf pour l'installation de Skype qui émet la même erreur en mode console et via la logitèque.

Là voici :

@ubuntu:~$ sudo apt-get install skype
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
skype : Dépend: skype-bin mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».


Une solution est-elle possible ?

Encore merci.

Shigu

Hors ligne

#8 Le 04/12/2012, à 06:36

vince06fr

Re : Erreur récurrente lors de l'installation d'un logiciel (logithèque)

Le mieux serait de te passer de skype mais si tu en as vraiment besoin :

Pour commencer, j'ai jeté un oeil au ppa gstreamer que tu as installé, il n'y a pas de paquets pour quantal.(https://launchpad.net/~gstreamer-develo … rchive/ppa)
Garder un tel ppa dans tes dépots est non seulement inutile, mais c'est une source d'instabilité et peut causer des problemes de sécurité, supprime-le également :

$ sudo apt-get install ppa-purge
$ sudo ppa-purge gstreamer-developers/ppa
$ sudo apt-get update && sudo apt-get upgrade

Maintenant on va s'occuper de skype :
Supprime le ppa de skype et télécharge skype sur le site officiel

$ sudo apt-get purge skype
$ sudo ppa-purge ppa:upubuntu-com/chat
$ sudo apt-get update && sudo apt-get upgrade

Rends toi maintenant  sur le site officiel et télécharge la version de skype correspondant à ta distribution :
http://www.skype.com/intl/fr/get-skype/ … ter/linux/

Dernière modification par vince06fr (Le 06/12/2012, à 02:06)

Hors ligne

#9 Le 04/12/2012, à 19:18

f.x0

Re : Erreur récurrente lors de l'installation d'un logiciel (logithèque)

vince06fr a écrit :

Pour commencer, j'ai jeté un oeil au ppa gstreamer que tu as installé, il n'y a pas de paquets pour quantal.(https://launchpad.net/~gstreamer-develo … rchive/ppa)

Euh, tu es sûr vince06fr ?
regardes ici
et ici .

En tout cas, le fait de prendre le paquet skype chez skype peut être une bonne solution.


SOPI

En ligne

#10 Le 06/12/2012, à 01:58

vince06fr

Re : Erreur récurrente lors de l'installation d'un logiciel (logithèque)

Effectivement,  j'ai regardé un peu vite, désolé smile
La question reste quand même de savoir si Shigu a vraiment besoin de ces paquets non supportés de gstreamer.
Et si il n'en a pas besoin, autant supprimer ce dépôt.

Dernière modification par vince06fr (Le 06/12/2012, à 02:05)

Hors ligne

Haut de page ↑